%define pre rc3

Name: faad
Version: 2.0
Release: alt0.5%pre

Summary: FAAD is a Freeware Advanced Audio Decoder
License: GPL
Group: Sound
Url: http://www.audiocoding.com

Source: http://prdownloads.sourceforge.net/faac/%{name}2-%version-%pre.tar.bz2

%define libsndfile_ver 1.0.5

Requires: lib%name = %version-%release

BuildPreReq: libsndfile >= %libsndfile_ver

# Automatically added by buildreq on Fri Nov 21 2003
BuildRequires: XFree86-devel gcc-c++ gcc-g77 glib-devel gtk+-devel hostinfo id3lib-devel libstdc++-devel libxmms-devel zlib-devel

%description
FAAD is a LC, MAIN and LTP profile MPEG2 and MPEG-4 AAC decoder.

%package -n lib%name
Summary: Freeware Advanced Audio Decoder (FAAD) libraries
Group: System/Libraries

%description -n lib%name
This package contains Freeware Advanced Audio Decoder (FAAD) shared
libraries.

%package -n lib%name-devel
Summary: Development files for the FAAD AAC decoder libraries
Group: Development/C++
Requires: lib%name = %version-%release
Requires: libsndfile-devel >= %libsndfile_ver

%description -n lib%name-devel
This package provides header files development libraries and
documentation for lib%name.

%package -n xmms-input-faad
Summary: FAAD input plugin for XMMS
Group: Sound
Requires: lib%name = %version-%release
Requires: xmms

%description -n xmms-input-faad
This package provides input plugin allowing XMMS to read .aac and .mp4
files.

%prep
%setup -q -n %{name}2

find ./ -type f -name "Makefile*" -print0 | \
xargs -r0 %__subst 's,^\(CFLAGS\),AM_\1,g
		    s,^\(LDFLAGS\),AM_\1,g' --

%define _xmms_input_plugin_dir %(xmms-config --input-plugin-dir)

%build
%_buildshell ./bootstrap

%configure --disable-static \
	    --with-drm \
	    --with-xmms

%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
#%_man1dir/*

%files -n lib%name
# mp4v2 libraries included, need to be fixed later
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la

%files -n xmms-input-faad
%_xmms_input_plugin_dir/*
%doc plugins/xmms/{AUTHORS,ChangeLog,NEWS,README,TODO}

%changelog
* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.5rc3
- 2.0rc3.

* Sat Jun 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1-alt1
- First build for Sisyphus.

